* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Roboto', sans-serif;
  line-height: 1.6;
  color: #333;
  padding: 0 1rem;
}

header {
  background-color: #ff6f61;
  color: white;
  padding: 1rem;
  text-align: center;
  position: sticky;
  top: 0;
  z-index: 1000;
}

nav ul {
  list-style: none;
  display: flex;
  justify-content: center;
  gap: 1rem;
  flex-wrap: wrap;
  margin-bottom: 1rem;
}

nav div a {
  color: white;
  text-decoration: none;
  font-weight: bold;
}

#searchBar {
  width: 80%;
  max-width: 600px;
  padding: 0.5rem;
  margin-top: 1rem;
  border: none;
  border-radius: 5px;
}

section {
  margin: 2rem 0;
}

section h2 {
  font-size: 2.2rem;
  margin-bottom: 1rem;
  color: #ff6f61;
  text-align: center;
  cursor: pointer;
}

section h2:hover {
  color: #333;
}

.subcategory h3 {
  font-size: 1.8rem;
  color: #a90f0f;
}

.menu-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 0;
  border-bottom: 1px solid #ddd;
}

.menu-item h4 {
  font-size: 1.25rem;
  color: #333;
  flex: 1;
  padding-left:1%;
}

.menu-item .price {
  font-weight: bold;
  color: #ff6f61;
  white-space: nowrap;
}

footer {
  text-align: center;
  padding: 1rem;
  background-color: #333;
  color: white;
}

.content {
  display: none;
}

/* Responsive Styles */
@media (max-width: 768px) {
  nav ul {
    flex-direction: column;
    align-items: center;
  }

  nav ul li {
    margin: 0.5rem 0;
  }
}
